Bug 565143

Summary: FTBFS xournal-0.4.5-2.fc13: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: xournalAssignee: Rick L Vinyard Jr <rvinyard>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: rawhideCC: rvinyard
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: xournal-0.4.5-3.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-10 01:44:14 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 564245    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2010-02-13 13:02:48 EST
xournal-0.4.5-2.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 13:02:52 EST
Created attachment 393776 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 13:02:53 EST
Created attachment 393777 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 13:02:54 EST
Created attachment 393778 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 13:02:56 EST
Created attachment 393779 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 13:02:58 EST
Created attachment 393780 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 13:02:59 EST
Created attachment 393781 [details]
mock.log

mock.log for x86_64
Comment 7 Fedora Update System 2010-02-16 15:40:00 EST
xournal-0.4.5-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xournal-0.4.5-3.fc11
Comment 8 Fedora Update System 2010-02-16 15:40:22 EST
xournal-0.4.5-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xournal-0.4.5-3.fc12
Comment 9 Fedora Update System 2010-02-18 17:22:14 EST
xournal-0.4.5-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xournal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1362
Comment 10 Fedora Update System 2010-02-18 17:27:18 EST
xournal-0.4.5-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xournal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0871
Comment 11 Fedora Update System 2010-03-10 01:44:08 EST
xournal-0.4.5-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-03-10 01:50:04 EST
xournal-0.4.5-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.